Bug 819432 - Unable to create large number of volumes unless i change glusterd.vol file manually.
Unable to create large number of volumes unless i change glusterd.vol file ma...
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: krishnan parthasarathi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-07 04:37 EDT by Vijaykumar Koppad
Modified: 2015-11-03 18:06 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-22 11:46:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: DP
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vijaykumar Koppad 2012-05-07 04:37:48 EDT
Description of problem:
Its not possible to create large number of volume in order of 30 volume unless i specify "option rpc-auth-allow-insecure on" in /etc/glusterfs/glusterd.vol file. 
If i am creating geo-rep sessions in a cluster of 5 nodes, and each volume include bricks in all nodes, then the geo-rep session won't succeed and says faulty, unless i change all the glusterd.vol file of all the nodes manually. 

Version-Release number of selected component (if applicable):3.3.0qa38


How reproducible:always


Steps to Reproduce:
1.Create a cluster of 3 nodes.
2.Change glusterd.vol in one of the node with above mentioned option manually.
3.Execute create volume of some 100 volumes on the that node with bricks of the volumes as part of all the nodes.
4.Create another similar cluster as above.
5. Try to establish geo-rep sessions between the volume of these two clusters.
6. The status should go Faulty.
  
Actual results:


Expected results:


Additional info:
Comment 1 Amar Tumballi 2012-07-11 02:20:59 EDT
currently, we are talking of having a bound on 'maximum supported volumes' in a cluster. So, this should not become a major issue.
Comment 2 Amar Tumballi 2012-12-21 06:21:14 EST
these bugs are the reason why we need more of 'gluster system::' like commands. We should get rid of this bug by mostly just documentation, unless somebody else thinks otherwise. KP, do have a look on this.
Comment 4 Kaleb KEITHLEY 2015-10-22 11:46:38 EDT
because of the large number of bugs filed against mainline version\ is ambiguous and about to be removed as a choice.

If you believe this is still a bug, please change the status back to NEW and choose the appropriate, applicable version for it.

Note You need to log in before you can comment on or make changes to this bug.